Subject: [Isis-wg] Triage on the IS-IS Errata

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 9 Aug 2012 11:59:47 +0100

Hi working group,

It is long overdue for us to clean up the errata raised against the IS-IS RFCs.
You can find them all at
http://www.rfc-editor.org/errata_search.php?rec_status=15&wg_acronym=isis&presen
tation=table We're interested in the 5 in "Reported" state.

I have mopped up a number of minor editorial issues and am left with these 5
where I would appreciate your input and confirmation of my proposed approach.

Thanks,
Adrian

====

http://www.rfc-editor.org/errata_search.php?eid=87
RFC 4444
This should be marked Editorial
(1) Typo can be held for document update.
(2) Rejected. Too late for this change. No functional effect.
(3) Rejected. This is discussion not errata.
(4) Rejected. Nothing wrong with original text.
(5.1) Nit can be held for document update.
(5.2) Nit can be held for document update.
(5.3) Rejected. Pointless wordsmithing.
(5.4) Rejected. Pointless wordsmithing.
(5.5) Rejected. Pointless wordsmithing.
(6) Typo can be held for document update.
(7) Typo can be held for document update.
(8) Rejected. This is discussion not errata.

===

http://www.rfc-editor.org/errata_search.php?eid=1541
RFC 5302
I think this is correct, but is an insignificant typo and can be held for
document update.

===

http://www.rfc-editor.org/errata_search.php?eid=1554
RFC 5307
I think this is correct. It is very minor, but should be accepted.

===

http://www.rfc-editor.org/errata_search.php?eid=2461
RFC 5310
I agree with the issue here, but believe this is not something that can be
covered using errata. This is a functional change to the document, not a typo.
If the WG feels that it needs to be addressed, this should be captured in a new
I-D.

===

http://www.rfc-editor.org/errata_search.php?eid=2462
RFC 5310
I agree with the issue here, but believe this is not something that can be
covered using errata. This is a functional change to the document, not a typo.
If the WG feels that it needs to be addressed, this should be captured in a new
I-D.

---

From: Tony Li <[email-masked]>
Date: Thu, 9 Aug 2012 07:57:45 -0700

Hi Adrian,

I'd be more than happy to submit a revised document for this if you and the WG chairs feel that it's warranted.

Tony

---

From: Tony Li <[email-masked]>
Date: Thu, 9 Aug 2012 09:50:15 -0700

> I think this is correct, but is an insignificant typo and can be held for

The errata comment is correct.  It's an inaccuracy in a parenthetical comment and has no practical impact.  

There are no plans to update the document, ever, so I'd recommend that we simply accept the errata.

Tony

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 9 Aug 2012 18:28:47 +0100

Hi Tony,

I guess this is a question of traction in the WG and steam power available.

To me, it seems useful to plug security concerns. This can be done relatively
easily choosing either:
a. respin the document
b. do a tiny bis that updates

Personally I prefer choice a. *unless* there is a risk that opening the document
for this change will wake up the trolls and cause endless fights over other
changes that would otherwise stay quiet.

I guess I should note that we have lived with these "defects" for a while, and
no-one died.

Adrian

> -----Original Message-----
> From: Tony Li [mailto:[email-masked]]
> Sent: 09 August 2012 15:58
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Isis-wg] Triage on the IS-IS Errata
> 
> 
> Hi Adrian,
>